如何防止自动更新到Firefox 57.0 Quantum?

Modified on: Sat, 12 Jan 2019 14:40:03 +0800

所以在工作中,我的Firefox自动更新到57.0(Quantum),因为我启用了自动更新。

事实证明,许多附加组件不再适用于57.0,例如会话管理器和我广泛使用的选项卡组加载项。似乎我失去了除了当前标签组以外的所有组件,我对此并不满意......

现在,在家里我使用相同的附加组件,我想防止丢失我的标签组,所以我正在寻找一种方法来禁用自动更新(已启用)之前我启动Firefox,这样我就有机会保存/导出我的选项卡组,并找到一个可以在实际更新到57.0之前使用57.0的解决方案。

我该怎么做?

作者:Nassbirne

最佳答案

在不运行Firefox的情况下禁用自动更新的解决方案如下(操作系统是Windows):

  • 编辑位于prefs.js中的%APPDATA%\Mozilla\Firefox\Profiles\xyz.default\文件,该文件通常转换为
    C:\Users\username\AppData\Roaming\Mozilla\Firefox\Profiles\xyz.default\(注意:usernamexyz会有所不同)
  • 确保文件中存在user_pref("app.update.enabled", false);行;如果不是,请添加或修改它。忽略不应编辑此文件的警告
  • 保存并关闭文件
  • 启动并使用Firefox,而不必担心自动更新
  • 可选:请注意“关于Firefox”对话框中的“检查更新”按钮。当然,在准备好并准备好接收更新之前,请勿点击它
作者:Nassbirne

相关问答

添加新评论